org.apache.velocity.tools.view

## Class WebappUberspector.SetAttributeExecutor

- java.lang.Object
- - org.apache.velocity.runtime.parser.node.SetExecutor
  - - org.apache.velocity.tools.view.WebappUberspector.SetAttributeExecutor

Enclosing class:
  WebappUberspector

    public class WebappUberspector.SetAttributeExecutor
    extends org.apache.velocity.runtime.parser.node.SetExecutor

Executor for setAttribute(name,value) method

### Field Summary

### Fields inherited from class org.apache.velocity.runtime.parser.node.SetExecutor

`log`

### Constructor Summary

Constructors
Constructor and Description
`SetAttributeExecutor(org.slf4j.Logger log, org.apache.velocity.util.introspection.Introspector introspector, Class clazz, Object arg, String property)`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected void` `discover(Class clazz, Object arg)`
`Object` `execute(Object o, Object value)`

### Methods inherited from class org.apache.velocity.runtime.parser.node.SetExecutor

`getMethod, isAlive, setMethod`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SetAttributeExecutor

    public SetAttributeExecutor(org.slf4j.Logger log,
                                org.apache.velocity.util.introspection.Introspector introspector,
                                Class clazz,
                                Object arg,
                                String property)

Parameters:
  `log` - logger
  `introspector` - introspector instance
  `clazz` - target class
  `arg` - value to set
  `property` - property name

### Method Detail

#### discover

    protected void discover(Class clazz,
                            Object arg)

Parameters:
  `clazz` - target class
  `arg` - expected arguments

#### execute

    public Object execute(Object o,
                          Object value)
                   throws IllegalAccessException,
                          InvocationTargetException

Specified by:
  `execute` in class `org.apache.velocity.runtime.parser.node.SetExecutor`
Parameters:
  `o` - target object
  `value` - value to set
Throws:
  `IllegalAccessException` - if thrown by underlying code
  `InvocationTargetException` - if thrown by underlying code
See Also:
  `SetExecutor.execute(java.lang.Object, java.lang.Object)`